Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3828 - startx -- :1 doesn't work if serverargs is non-empty in startx
Summary: startx -- :1 doesn't work if serverargs is non-empty in startx
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-30 15:34 UTC by d-mueth
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 19:02:29 UTC


Attachments (Terms of Use)

Description d-mueth 1999-06-30 15:34:41 UTC
If I set serverargs="-bpp 32" in the startx script, and then
try to launch a second version of X using "startx -- :1",
then startx tries to call xinit as "xinit -- -bpp 32 :1"
which is wrong.  Instead it should be "xinit -- :1 -bpp 32".
My solution was to modify the script as described below.

I believe this will pass all command-line arguments after
the default $serverargs, as desired, but extracts the
$display as an optional parameter which must be passed to
xinit before the server options.

49,53c49,54
<           serverargs="$serverargs $1"
<       case "$1" in
<           :[0-9]) display="$1"
<           ;;
<       esac
---
>           case "$1" in
>           :[0-9]) display="$1";;
>               * ) serverargs="$serverargs $1";;
>           esac
65c66
< xinit $clientargs -- $serverargs
---
> xinit $clientargs -- $display $serverargs

Comment 1 Jay Turner 1999-06-30 16:43:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Preston Brown 1999-08-31 19:02:59 UTC
this will be fixed in the forthcoming errata release of XFree86 3.3.5.


Note You need to log in before you can comment on or make changes to this bug.